DUMPKEYS(1)

NOMBRE
dumpkeys - vuelca las tablas de traducción de teclado

SINOPSIS
dumpkeys [OPTIONS]

DESCRIPCIÓN

dumpkeys escribe, en la salida estándar, los contenidos actuales de las tablas de traducción del controlador de teclado, en el formato especificado por keymaps(5).

Mediante el empleo de varias opciones, se puede controlar el formato de la salida y también se puede obtener otra información del núcleo y de los programas dumpkeys(1) y loadkeys(1).

OPCIONES

-h --help
    Muestra el número de versión del programa y un sucinto mensaje sobre el modo de empleo en la salida de error estándar del programa, y acaba.

-i --short-info
    Muestra algunas características del controlador de teclado del núcleo. Los elementos que se muestran son:

    El rango de códigos de teclas admitido por el núcleo

        Esto dice qué valores se pueden emplear tras la palabra reservada keycode en los ficheros de tablas de teclas. Consulte keymaps(5) para obtener más información y la sintaxis de estos ficheros.

    Número de acciones asociables a una tecla

        Esto dice cuántas acciones diferentes puede efectuar una tecla empleando varias teclas modificadoras. Si el valor es 16 por ejemplo, uno puede definir hasta 16 acciones diferentes para una tecla combinada con modificadores. Cuando el valor es 16, probablemente el núcleo conoce cuatro teclas modificadoras, que se pueden presionar en diferentes combinaciones junto con la tecla para acceder a todas las acciones asociadas.

    Rangos de códigos de acción admitidos por el núcleo

        Este elemento contiene una lista de rangos de códigos de acciones en notación hexadecimal. Éstos son los valores que pueden emplearse en la parte derecha de una definición de tecla; esto es, las uves en una línea

            keycode xx = vv vv vv vv

        (consulte keymaps(5) para obtener más información sobre el formato de las líneas de definición de teclas). dumpkeys(1) y loadkeys(1) admiten una notación simbólica, que es preferible a la numérica, puesto que los códigos de acción pueden variar de núcleo a núcleo mientras que los nombres simbólicos permanecen igual normalmente. Sin embargo, la lista de rangos de códigos de acción se puede emplear para determinar si el núcleo realmente admite todos los símbolos conocidos por loadkeys(1), o hay por ahí quizás algunas acciones admitidas por el núcleo que no tienen nombre simbólico en su programa loadkeys(1). Para ver esto, uno compara la lista de rangos con la lista de símbolos de acción, vea la opción --long-info abajo.

    Número de teclas de función soportadas por el núcleo

        Esto dice el número de códigos de acción que pueden emplearse para sacar cadenas de caracteres. Estos códigos de acción se asocian tradicionalmente a las teclas de función y edición del teclado y se definen para enviar secuencias de escape normalizadas. Sin embargo, uno puede redefinirlas para que envíen líneas de órdenes usuales, direcciones de correo electrónico o cualquier cosa que a uno se le ocurra. Especialmente si el número de este elemento es mayor que el de teclas de función y edición de su teclado, uno puede tener algunos códigos "sobrantes" de acción que puede asociar a combinaciones AltGr-letra, por ejemplo, para enviar algunas cadenas de caracteres de utilidad. Consulte loadkeys(1) para más detalles.

    Cadenas de función

        Uno puede ver las definiciones actuales de las teclas de función con la orden

            dumpkeys --funcs-only

-l -s --long-info
    Esta opción le dice a dumpkeys que muestre un listado largo de información. La salida es la misma que con la opción --short-info con la añadidura de la lista de símbolos de acción admitidos por loadkeys(1) y dumpkeys(1), además de con los valores numéricos de los símbolos.

-n --numeric
    Esta opción hace que dumpkeys se salte la conversión de valores de código de acción a la notación simbólica y que los muestre en su lugar en el formato hexadecimal.

-f --full-table
    Esto hace que dumpkeys se salte todos los atajos heurísticos (vea keymaps(5)) y muestre las asociaciones de teclas en la forma canónica. Primero se presenta una línea de mapas de teclado describiendo las combinaciones definidas actualmente. Después para cada tecla se muestra una fila con una columna por cada combinación con modificador. Por ejemplo, si el mapa de teclado actual en uso emplea siete modificadores, cada fila tendrá siete columnas de código de acción. Este formato puede ser útil por ejemplo para programas que post-procesen la salida de dumpkeys.

-Sforma  --shape=forma
    Formas disponibles:

    2 salida por defecto.

    4 one line for each keycode.

    8 one line for each (modifier,keycode) pair.

    16 one line for each keycode until 1st hole.

-1 --separate-lines
    This forces dumpkeys to write one line per (modifier,keycode) pair. It prefixes the word plain for plain keycodes.

-t --funcs-only
    Cuando se da esta opción, dumpkeys solo muestra las definiciones de cadenas de caracteres de las teclas de función. Normalmente dumpkeys muestra tanto éstas como las asociaciones de teclas.

-k --keys-only
    Cuando se da esta opción, dumpkeys solo muestra las asociaciones de teclas. Normalmente dumpkeys muestra tanto éstas como las definiciones de cadenas.

-d --compose-only
    Cuando se da esta opción, dumpkeys solo muestra las combinaciones con la tecla Componer. Esta opción solo está disponible si su núcleo tiene soporte para la tecla Componer.

-cconjunto-de-caracteres  --charset=conjunto-de-caracteres
    Esto instruye a dumpkeys a que interprete los valores de códigos de caracteres de acuerdo con el conjunto de caracteres especificado. Esto afecta solamente a la traducción de valores de códigos de caracteres a nombres simbólicos. Los valores válidos para conjunto-de-caracteres son en la actualidad iso-8859-X, donde X es un dígito del 1 al 9. Si no se especifica conjunto-de-caracteres, se usa iso-8859-1. Esta opción produce una línea de salida `charset "iso-8859-X"', que le dice a loadkeys cómo interpretar el mapa de teclado. (Por ejemplo, el signo de división ÷ es 0xf7 en iso-8859-1 pero 0xba en iso-8859-8.)

-cdev  --console=dev
    The affected console device can be specified using the -C (or --console ) option. This option supports exactly one device name.

-v --verbose
    Pone el modo prolijo.

-V --version
    Muestra información de versión y finalizar.

ARCHIVOS

/usr/share/keymaps
    The recommended directory for keytable files.

VÉASE TAMBIÉN
loadkeys(1), keymaps(5)

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.